/*
Fuel Theme
Version: 6.0.0
*/

/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Shared Menu Styles
# Mobile Menu
# Desktop Menu
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Shared Menu Styles
--------------------------------------------------------------*/
.menu-italic{
	font-family: var(--title-font); 
}
/* .wp-block-fuel-sub-menu .wp-block-column {
    min-width: fit-content;
} */

@media (min-width: 68.5em) {
	.wp-block-fuel-sub-menu .service-quote-column.wp-block-column{
		min-width: initial;
		width: 30%; 
		padding-left: 4em; 
	}
	
}

.menu-notifications.wp-block-fuel-menu-item .notices-title,
.sub-menu .wp-block-heading {
    margin: 0.2rem 0 1rem;
    padding-bottom: 0.6rem;
    font-weight: bold;
    font-family: var(--content-font);
    font-size: clamp(0.9rem, 4vw, 1rem);
}

.primary-menu .sub-menu nav {
    margin-top: 0;
}

.primary-menu .sub-menu a:not(.wp-block-button__link, .icon-item, .notice, .map-link) {
    padding: 0.3rem 1rem;
    margin-left: -0.8rem;
    font-style: normal;
    position: relative;
}

.wp-block-fuel-sub-menu-tab-link::after {
    content: "";
    background: var(--wp--preset--color--sub-menu-color);
    clip-path: url(#menu_chevron);
    width: 0.6rem;
    height: 0.4rem;
    transform: rotate(270deg);
    margin: auto;
    position: absolute;
    inset: 0 1rem 0 auto;
}

.wp-block-navigation.is-vertical .wp-block-navigation-item {
    margin: 0 0 0.3rem;
}

/*--------------------------------------------------------------
# Mobile Menu
--------------------------------------------------------------*/
@media (max-width: 68.49em) {
    body {
        /* Reverses menu colors from desktop */
        --wp--preset--color--sub-menu-background: var(--primary-color);
        --wp--preset--color--sub-menu-color: #fff;
    }

    .primary-menu .wp-block-fuel-menu-wrapper {
        border-top: 1px solid #fff;
    }

    .primary-menu .wp-block-fuel-menu-item:nth-child(n+3) {
        border-left: 1px solid #fff;
    }

    .sub-menu::before {
        content: url('data:image/svg+xml,<svg width="32" height="40" viewBox="0 0 32 40" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M28.3608 14.0027C29.3565 14.0027 30.1621 13.188 30.1621 12.1743C30.1621 11.1605 29.3565 10.3459 28.3608 10.3459C27.3652 10.3459 26.5596 11.1605 26.5596 12.1743C26.5596 13.188 27.3652 14.0027 28.3608 14.0027Z" fill="white"/><path d="M27.6735 15.6318C27.6735 14.5185 26.7865 13.6224 25.6913 13.6224C24.596 13.6224 23.709 14.5275 23.709 15.6318C23.709 16.7361 24.596 17.6412 25.6913 17.6412C26.7865 17.6412 27.6735 16.7361 27.6735 15.6318Z" fill="white"/><path d="M28.7317 17.3065C27.9805 17.3065 27.374 17.922 27.374 18.6823C27.374 19.4426 27.9805 20.0581 28.7317 20.0581C29.483 20.0581 30.0895 19.4426 30.0895 18.6823C30.0895 17.922 29.483 17.3065 28.7317 17.3065Z" fill="white"/><path d="M24.6143 19.2797C24.6143 19.868 25.0849 20.3477 25.6733 20.3477C26.2616 20.3477 26.7323 19.868 26.7323 19.2797C26.7323 18.6913 26.2616 18.2116 25.6733 18.2116C25.0849 18.2116 24.6143 18.6913 24.6143 19.2797Z" fill="white"/><path d="M27.0304 23.3979C26.4511 23.3979 25.9805 23.8777 25.9805 24.457C25.9805 25.0363 26.4511 25.516 27.0304 25.516C27.6097 25.516 28.0804 25.0363 28.0804 24.457C28.0804 23.8777 27.6097 23.3979 27.0304 23.3979Z" fill="white"/><path d="M26.0354 11.9661C26.0354 11.1786 25.4018 10.536 24.6325 10.536C23.8631 10.536 23.2295 11.1786 23.2295 11.9661C23.2295 12.7536 23.8631 13.3962 24.6325 13.3962C25.4018 13.3962 26.0354 12.7536 26.0354 11.9661Z" fill="white"/><path d="M30.5973 14.084C29.8189 14.084 29.1943 14.7266 29.1943 15.5141C29.1943 16.3016 29.8279 16.9442 30.5973 16.9442C31.3667 16.9442 32.0003 16.3016 32.0003 15.5141C32.0003 14.7266 31.3667 14.084 30.5973 14.084Z" fill="white"/><path d="M27.7457 20.2663C26.9673 20.2663 26.3428 20.9089 26.3428 21.6964C26.3428 22.4839 26.9764 23.1265 27.7457 23.1265C28.5151 23.1265 29.1487 22.4839 29.1487 21.6964C29.1487 20.9089 28.5151 20.2663 27.7457 20.2663Z" fill="white"/><path d="M17.0106 19.8227C16.9925 19.8498 16.9835 19.877 16.9654 19.8951C16.2141 19.5873 15.5443 19.1438 14.7387 19.4787C14.3223 19.6507 13.7883 19.9494 13.3176 20.2752C13.0823 20.4382 12.856 20.6192 12.6659 20.8183C12.4758 21.0175 12.331 21.1985 12.2314 21.4157C12.4849 21.4157 12.8017 21.3705 13.0099 21.5153C12.2767 22.7191 12.503 23.8687 12.5392 25.2716C12.9103 24.5023 13.5077 23.9863 14.268 24.7557C14.7115 25.2083 14.6572 26.1044 14.8021 27.3625C14.8745 27.9961 14.9921 28.7112 15.2184 29.5258C15.4538 30.3586 15.8068 31.2547 16.2412 32.3951C16.8839 31.7344 17.8886 30.6935 18.7032 29.3629C19.5179 28.0414 20.1605 26.4302 20.1062 24.7738C20.9933 24.6018 21.8079 25.1087 22.6859 25.1449C22.6497 24.3574 22.3691 23.2532 21.9437 22.2485C21.5273 21.2437 20.9208 20.3386 20.3778 19.9675C20.5588 19.8046 20.6584 19.5692 20.8484 19.4878C20.2691 18.8542 19.717 18.5464 19.2644 18.4468C18.8028 18.3473 18.4317 18.4559 18.1149 18.6369C17.5447 18.9718 17.1916 19.524 17.0197 19.8136C17.0197 19.8136 17.0167 19.8196 17.0106 19.8317V19.8227Z" fill="white"/><path d="M4.86396 6.58946C4.86396 6.58946 4.74629 7.06014 4.62862 7.69374C4.60147 7.81141 4.58337 7.93813 4.56526 8.06485C5.04499 8.39976 5.46136 8.77087 6.11306 8.6894C6.47512 8.64415 6.95485 8.53553 7.38932 8.39976C7.82379 8.26398 8.24921 8.10106 8.46644 7.91098C8.26731 7.87477 8.01387 7.82951 7.88715 7.70279C7.99577 7.63038 8.08628 7.56702 8.15869 7.49461C8.24016 7.4222 8.32162 7.34979 8.38498 7.27737C8.5117 7.13255 8.62032 6.97868 8.70178 6.81575C8.88281 6.4899 8.99143 6.11879 9.19056 5.72052C8.69273 6.03732 8.10439 6.18215 7.76043 5.51234C7.5794 5.11408 7.8781 4.58004 8.22205 3.75636C8.57506 2.92362 8.92807 1.81934 9.08194 0C8.36688 0.280595 7.27165 0.579293 6.17642 1.14954C5.09025 1.71978 4.00407 2.57967 3.45194 3.75636C2.73687 3.62058 2.3205 3.00508 1.6869 2.71544C1.41536 3.29473 1.22528 4.21798 1.24338 5.10502C1.24338 5.53949 1.30674 5.98302 1.39725 6.34507C1.49682 6.71618 1.64164 7.02393 1.80457 7.22307C1.63259 7.31358 1.49682 7.46745 1.33389 7.48556C1.63259 8.09201 2.01275 8.41786 2.34766 8.57173C2.68256 8.72561 3.00841 8.72561 3.28901 8.6532C3.79589 8.51742 4.167 8.20967 4.37518 8.0377C4.40234 7.93813 4.42949 7.83856 4.45665 7.739C4.65578 7.07824 4.85491 6.58041 4.85491 6.58041L4.86396 6.58946Z" fill="white"/><path d="M26.8226 9.34114C26.732 9.23253 26.6053 9.0696 26.4062 8.88857C26.0351 8.50841 25.4286 8.01058 24.5778 7.54895C23.736 7.07828 22.6408 6.68001 21.3826 6.40847C17.8073 5.63004 13.7522 5.87443 10.3579 7.27741C9.98684 7.43129 9.61573 7.61231 9.27177 7.81145C8.93687 8.01058 8.59291 8.20971 8.25801 8.41789C6.6559 9.45881 5.31629 10.726 4.25727 12.0113C4.25727 12.0294 4.25727 12.0475 4.25727 12.0656C4.25727 11.5316 4.27537 10.8618 4.32968 10.1286C4.38399 9.49502 4.4564 8.7528 4.54691 8.09204C4.56502 7.96532 4.59217 7.8205 4.61027 7.70283C4.72794 7.06923 4.84561 6.59855 4.84561 6.59855C4.84561 6.59855 4.63743 7.10543 4.44735 7.75714C4.42019 7.84765 4.39304 7.96532 4.36588 8.06489C4.36588 8.06489 4.36588 8.07394 4.36588 8.08299C4.21201 8.77995 4.07624 9.54027 4.02193 10.0653C3.94046 10.8618 3.90426 11.6493 3.94952 12.2467C3.94952 12.2919 3.94952 12.3372 3.95857 12.3824C3.41548 13.0794 2.9448 13.7764 2.58275 14.4371C1.85863 15.7134 1.27934 17.062 0.862969 18.4288C-0.413287 22.4929 -0.295618 26.9553 1.3608 30.8927C1.93104 32.2504 2.9086 33.6353 3.8409 34.4952C5.60593 36.4412 7.75113 37.7989 9.53427 38.5231C10.7653 39.039 12.0506 39.401 13.3359 39.6273C14.594 39.8536 15.8793 39.9441 17.1556 39.8898L19.2012 37.9076C17.762 38.342 16.8116 38.4868 14.6393 38.2696C14.3406 38.2425 14.0328 38.1881 13.7341 38.1519C12.5212 37.9619 11.2902 37.6451 10.0864 37.1744C8.94592 36.7218 7.78733 36.1244 6.70116 35.346C5.66929 34.6128 -0.693882 29.3087 2.18448 20.04C2.21164 19.9404 2.23879 19.8408 2.26594 19.7413C2.24784 19.7684 2.22974 19.8046 2.22069 19.8318C2.23879 19.8046 2.25689 19.7684 2.26594 19.7413C2.63705 19.0443 3.17109 18.112 3.98572 17.1435C4.42924 16.6185 4.95423 16.0845 5.57878 15.641C5.89558 15.4328 6.23048 15.2608 6.61065 15.125C6.99081 14.9983 7.39812 14.9168 7.81449 14.8625C8.65627 14.772 9.56142 14.8354 10.3942 15.116C10.8105 15.2517 11.2088 15.4599 11.5527 15.7224C11.8243 15.9306 12.0506 16.175 12.2226 16.4556C11.9872 16.4375 11.7428 16.4284 11.4894 16.4556C10.9916 16.4827 10.4666 16.6004 9.97779 16.8448C9.47996 17.0801 9.04549 17.4694 8.72869 17.9581C8.42094 18.4379 8.23086 19.0896 8.42999 19.7232C8.52955 20.0309 8.70153 20.3115 8.92782 20.5378C9.15411 20.7641 9.42565 20.9361 9.72435 21.0447C10.014 21.1533 10.3398 21.2076 10.6566 21.1805C10.8105 21.1623 10.9644 21.1623 11.1183 21.1261C11.2631 21.0809 11.426 21.0447 11.5618 20.9813C12.1501 20.7369 12.6027 20.2663 12.8833 19.7413C13.173 19.2163 13.3087 18.637 13.3268 18.0668C13.3449 17.6685 13.2997 17.2793 13.1911 16.9082C13.3449 16.9444 13.4988 16.9896 13.6346 17.0349C14.4583 17.3155 15.119 17.7862 15.6078 18.2387C16.0966 18.7004 16.4224 19.1348 16.6397 19.4426C16.703 19.5421 16.7573 19.6236 16.8026 19.696C16.8026 19.696 16.8026 19.687 16.8116 19.6779C16.7845 19.6236 16.7392 19.5602 16.703 19.4878C16.531 19.2072 16.2686 18.7999 15.8612 18.3473C15.4539 17.9038 14.9018 17.406 14.1596 17.0258C13.8337 16.8629 13.4807 16.7271 13.1005 16.6276C13.0734 16.5642 13.0553 16.4918 13.0281 16.4284C12.9105 16.1659 12.7566 15.9125 12.5756 15.6862C12.3855 15.469 12.1863 15.2698 11.9601 15.1069C11.5165 14.772 11.0278 14.5276 10.5209 14.3647C9.51616 14.0479 8.49335 13.9936 7.54294 14.1294C7.06322 14.1927 6.60159 14.3104 6.16712 14.4733C5.7236 14.6362 5.32534 14.8806 4.98138 15.1341C4.28442 15.6591 3.75944 16.2565 3.32497 16.8267C3.2435 16.9353 3.17109 17.0349 3.09868 17.1435C3.36117 16.5008 3.65987 15.8672 3.99477 15.2427C4.63743 14.057 5.46111 12.8712 6.44772 11.7941C7.43433 10.7079 8.60197 9.73941 9.87822 8.93383C12.2316 7.35887 15.4358 6.83389 18.2146 6.75243C19.5723 6.70717 20.8395 6.81579 21.9619 7.02397C23.0843 7.23215 24.0438 7.57611 24.8041 7.94722C25.5553 8.32738 26.1075 8.72564 26.4514 9.04245C26.6325 9.18727 26.7501 9.32304 26.8407 9.41355C26.9221 9.50407 26.9674 9.54933 26.9674 9.54933C26.9674 9.54933 26.9221 9.49502 26.8316 9.3864L26.8226 9.34114ZM12.3674 16.7543C12.6208 17.3607 12.7113 18.1754 12.4579 18.9719C12.3312 19.3792 12.1139 19.7684 11.7881 20.0671C11.4622 20.3658 11.0368 20.5469 10.5661 20.565C10.1136 20.5921 9.63383 20.4292 9.29893 20.1124C8.96402 19.7956 8.783 19.3159 8.87351 18.8452C8.95497 18.3745 9.23557 17.931 9.59763 17.587C9.95063 17.2431 10.4123 17.0168 10.8829 16.8901C11.3808 16.7543 11.8876 16.7181 12.3764 16.7543H12.3674Z" fill="white"/></svg>');
        background: var(--wp--preset--color--sub-menu-background);
        display: inline-block;
        padding: 0.5rem 0.5rem 0;
        position: relative;
        z-index: 1;
    }

    .sub-menu::after {
        content: '';
        height: 1px;
        width: calc(100% - 2rem);
        background: #fff;
        position: absolute;
        inset: 1.5rem 0 100% 0;
        margin: 0 auto;
    }

    .primary-menu .sub-menu a:not(.wp-block-button__link, .icon-item, .notice, .map-link) {
        margin-left: -1rem;
        margin-right: -1rem;
    }

    .primary-menu .menu-label {
        min-width: 3.5rem;
        flex-direction: column;
    }

    .primary-menu .wp-block-fuel-menu-item .menu-label .menu-label-svg svg {
        width: 1rem;
        height: 1rem;
    }

    .sub-menu .tablist, .sub-menu .tabpanel {
        padding-top: 0.4rem;
    }

    .wp-block-fuel-sub-menu .wp-block-columns {
        flex-wrap: wrap !important;
    }

    .wp-block-fuel-sub-menu .wp-block-column {
        flex-basis: 100% !important;
    }

    .sub-menu .wp-block-heading {
        background: rgba(0, 0, 0, 0.15);
        padding: 0.5rem 1rem;
        margin: 0 0 0 -1rem;
        width: calc(100% + 2rem)
    }

    .wp-block-fuel-sub-menu-tab-link:is(:hover, :focus-visible)::after {
        background-color: var(--wp--preset--color--sub-menu-background);
    }

    .sub-menu p {
/*         font-style: italic; */
        line-height: 1.7;
        margin-left: 0 !important;
    }
    
/*     .sub-menu p br {
        display: none;
    } */

    .back-to-tabs-btn {
        display: block;
        margin-bottom: 0.8rem;
    }

    .sub-menu .wp-block-navigation__container,
    .sub-menu .wp-block-navigation__container * {
        width: 100%;
        flex: 1 1 100%;
    }

    /* Menu bio list */
    .sub-menu .bio-list .bio-box.bio-box {
        margin-left: -1rem;
        width: calc(100% + 2rem);
    }
    
    .sub-menu .bio-list .bio-box:nth-child(odd) {
        background: rgba(255,255,255,0.1);
    }

    /* Menu location list */
    .sub-menu .loc-title {
        margin-bottom: 0.5rem;
    }

    /* Notifications menu */
    .menu-notifications.wp-block-fuel-menu-item .tablist {
        padding: 0.4rem clamp(1rem, calc(50vw - 30rem), 18rem) 2rem;
    }

    .menu-notifications.wp-block-fuel-menu-item .notices-title {
        display: none;
    }

    .menu-notifications li {
        background: var(--wp--preset--color--menu-hover-bg);
    }
	#menu-item-notices {
		order: 2; 
	}
	li.wp-block-fuel-menu-item:nth-child(3) {
  		order: 2;
	}

}

/*--------------------------------------------------------------
# Desktop Menu
--------------------------------------------------------------*/
@media (min-width: 68.5em) {
    li:not(.menu-notifications, .mobile-label) .sub-menu-trigger::after {
        content: '';
        display: inline-block;
        background: var(--wp--preset--color--menu-color);
        clip-path: url(#menu_chevron);
        margin-left: 0.5rem;
		margin-top: 0.3rem;
        width: 0.6rem;
        height: 0.4rem;
        transition: transform 0.3s;
    }

    .primary-menu .sub-menu-trigger[aria-expanded=true]::after {
        transform: rotate(-180deg);
    }

    .primary-menu .wp-block-fuel-menu-item .menu-label .menu-label-svg svg {
        width: 1.4rem;
        height: 1.3rem;
    }

    .sub-menu {
        background: url('../images/menu-bg-accent.svg') no-repeat;
		background-position: right bottom;
    }

    .sub-menu .wp-block-heading {    
        border-bottom: 1px solid;
    }

    .back-to-tabs-btn {
        display: inline-block;
        margin-bottom: 0.5rem;
    }

    /* menu-col-# Helper classes. Add menu-col-# to break navigation block into columns */
    .sub-menu .wp-block-navigation:is(.menu-col-2, .menu-col-3, .menu-col-4) .wp-block-navigation__container {
        display: block;
    	column-gap: 2em;
    }
    
    .menu-col-2 {
        column-count: 2;
    }
    
    .menu-col-3 {
        column-count: 3;
    }
    
    .menu-col-4 {
        column-count: 4;
    }

    /* Notification Menu */
    #menu-item-notices .sub-menu {
        background-image: none;
        max-width: 25rem;
        width: 100%;
        right: clamp(1rem, 8vw - 4rem, 3rem);
    }

    .menu-notifications li {
        background-color: var(--wp--preset--color--menu-background);
        color: #fff;
    }

    .menu-notifications li::before {
        left: 0.9rem;
    }

    .linkIcon {
        background: var(--wp--preset--color--menu-hover-bg);
        color: #fff;
    }

    .notice:is(:hover, :focus-visible) .linkIcon path {
        color: #fff;
    }
	
}

/* Makes sub-menu full height on computer when width is less than 18rem */
@media (max-width: 22.49em) {
    .sub-menu {
        height: 100% !important;
    }
}